import java.net.*;
import java.io.*;

/**
 * The main entry point the server.  Spawns threads 
 * for each client which connects to it.
 */
public class GraffitiServer {
	private static int port = 7777;
		
	/**
	 * Initiates a child thread for each client which
	 * connects to the server.
	 * 
	 * @throws	IOException	When failing to establish a socket.
	 */
    public static void main(String[] args) throws IOException {
        ServerSocket serverSocket = null;
		boolean listening = true;
				
        try {
            serverSocket = new ServerSocket(port);
        } catch (IOException e) {
            System.err.println("Could not listen on port: " + port);
            System.exit(1);
        }
		
		System.out.println("GCP Server Started");
	      
        while (listening)
			new GraffitiServerThread(serverSocket.accept()).start();

        serverSocket.close();	
    }
}
